/**
 * Generic Amsterdam input field styling.
 *
 * This is applied to inputs, select fields, and multiline text areas.
 */
.field {
  margin: 0 auto !important;
  padding: 8px 16px;

  & .select {
    font-size: 1rem !important;
    height: 2.5em !important;
    width: 100% !important;

    & select {
      background-position: 10px 4px !important;
      background-repeat: no-repeat !important;
      font-size: 1rem !important;
      height: 2.5em !important;
      width: 100% !important;
    }
  }

  & .icon {
    height: 100% !important;
  }

  & .input,
  & .select select,
  & .textarea {
    border-radius: 0 !important;
    box-shadow: 0 0 0 !important;
    font-size: 1rem !important;

    &:focus,
    &:active {
      border-color: transparent !important;
      box-shadow: 0 0 0 0.125em hsla(0, 0%, 30.6%, 0.1) !important;
    }
  }

  & .control.has-icons-left {
    color: transparent;

    & .input,
    & .select select,
    & .textarea {
      padding-left: 3em;
    }
  }
}
